libzypp: zyppng::AsyncQueueWatchPrivate Class Reference

libzypp 17.38.7

zyppng::AsyncQueueWatchPrivate Class Reference

`#include <zypp-core/ng/thread/private/asyncqueue_p.h>`

Inheritance diagram for zyppng::AsyncQueueWatchPrivate:

## Public Member Functions
| AsyncQueueWatchPrivate (std::shared_ptr< AsyncQueueBase > &&q, AsyncQueueWatch &p)
| ~AsyncQueueWatchPrivate () override
Public Member Functions inherited from zyppng::AbstractEventSourcePrivate
| AbstractEventSourcePrivate (AbstractEventSource &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
std::shared_ptr< AsyncQueueBase > | _queue
gint | fds [2] = { -1, -1 }
Signal< void()> | _sigMessageAvailable
Public Attributes inherited from zyppng::AbstractEventSourcePrivate
std::weak_ptr< EventDispatcher > | _ev
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 12 of file asyncqueue_p.h.

## Constructor & Destructor Documentation

## ◆ AsyncQueueWatchPrivate()

zyppng::AsyncQueueWatchPrivate::AsyncQueueWatchPrivate | ( | std::shared_ptr< AsyncQueueBase > && | q,
|  | AsyncQueueWatch & | p )

Definition at line 32 of file asyncqueue.cc.

## ◆ ~AsyncQueueWatchPrivate()

zyppng::AsyncQueueWatchPrivate::~AsyncQueueWatchPrivate | ( |  | ) |
| override

Definition at line 45 of file asyncqueue.cc.

## Member Data Documentation

## ◆ _queue

std::shared_ptr<AsyncQueueBase> zyppng::AsyncQueueWatchPrivate::_queue

Definition at line 19 of file asyncqueue_p.h.

## ◆ fds

gint zyppng::AsyncQueueWatchPrivate::fds[2] = { -1, -1 }

Definition at line 20 of file asyncqueue_p.h.

## ◆ _sigMessageAvailable

Signal< void()> zyppng::AsyncQueueWatchPrivate::_sigMessageAvailable

Definition at line 21 of file asyncqueue_p.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/thread/private/asyncqueue_p.h
- zypp-core/ng/thread/asyncqueue.cc